View Issue Details

IDProjectCategoryView StatusLast Update
0034157LazarusLCLpublic2018-09-12 00:05
ReporterMIS5 Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformmacos newest lazarus trunk 
Product Version1.8.5 (SVN) 
Summary0034157: Cocoa TListView OnColumnClick nott working
DescriptionAlso posted in forum thread where problem has been confirmed + demo posted by another: http://forum.lazarus.freepascal.org/index.php/topic,42280.0.html

Essentially problem description is:
TListView.OnColumnClick even does not fire even though the ColumnClick property is checked.
TagsNo tags attached.
Fixed in Revision58776
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Frederick

2018-08-20 23:43

reporter  

ListView.zip (3,076 bytes)

Dmitry Boyarintsev

2018-08-25 23:56

developer   ~0110310

please test and close if ok

MIS5

2018-09-12 00:05

reporter   ~0110673

There is an odd issue leftt.

This works:
Click on column header "ABC".
Click on anther column header (or in a cell belonging to another column).
Click on column header "ABC".
All clicks work/trigger as expected...

This works:
Click on column header "ABC".
Breakpoint in OnColumnClick event handler trigger inside IDE
Click on column header "ABC".
All clicks work/trigger as expected...

However, this does not work
Click on column header "ABC".
Click on column header "ABC".
The second click is ignored...

I think it must be something with focus that changes

Issue History

Date Modified Username Field Change
2018-08-20 13:06 MIS5 New Issue
2018-08-20 23:43 Frederick File Added: ListView.zip
2018-08-25 23:56 Dmitry Boyarintsev Fixed in Revision => 58776
2018-08-25 23:56 Dmitry Boyarintsev LazTarget => -
2018-08-25 23:56 Dmitry Boyarintsev Note Added: 0110310
2018-08-25 23:56 Dmitry Boyarintsev Status new => resolved
2018-08-25 23:56 Dmitry Boyarintsev Resolution open => fixed
2018-08-25 23:56 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2018-09-12 00:05 MIS5 Note Added: 0110673